DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Macros | Enumerations | Functions
wltypdef.h File Reference

type definitions and constants for the dcmwlm module More...

## Classes
struct | WlmProcessSlotType
| structure for non-single process mode More...
struct | WlmSuperiorSequenceInfoType
| structure for handling arbitrary types of superior sequences in query result datasets More...

## Macros
#define | LOCKFILENAME "lockfile"
| name of lockfile for worklist management based on file system
#define | NUMBER_OF_SUPPORTED_MATCHING_KEY_ATTRIBUTES 20
| number of currently supported matching key attributes

## Enumerations
enum | WlmDataSourceStatusType
| Data source status types.
enum | WlmDataSourceType
| Data source types.
enum | WlmDatabaseType
| Database types.
enum | WlmReturnedCharacterSetType
| Returned Character Set types.
enum | WlmRefuseReasonType
| Reason for refusing association types.

## Functions
| makeOFConditionConst (WLM_EC_InsufficientPortPrivileges, OFM_dcmwlm, 1, OF_error, "Insufficient privileges to listen to port.")
| const objects for error objects

## Detailed Description

type definitions and constants for the dcmwlm module

## Class Documentation

## ◆ WlmProcessSlotType

struct WlmProcessSlotType

structure for non-single process mode

Class Members
DIC_AE | calledAETitle | called AE title
DIC_AE | callingAETitle | calling AE title
OFBool | hasStorageAbility | indicator if process has storage ability
DIC_NODENAME | peerName | name of peer
int | processId | process id
time_t | startTime | start time

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2